:host {
	display: grid;
	gap: var(--space);
	grid-template-rows: min-content 1fr;
	grid-template-columns: 1fr;
	justify-items: left;

	margin: var(--space);

	form {
		display: grid;
		grid-auto-rows: min-content;
		width: 100%;
	}
}

mat-chip-list {
	overflow: scroll;
	mat-chip {
		flex-basis: 0;
		height: 100px;

		display: grid;
		grid-template-areas:
			'title button'
			'image image';
		grid-template-rows: min-content 1fr;
		grid-template-columns: 1fr min-content;
		justify-items: center;

		span {
			grid-area: title;
		}

		button {
			grid-area: button;
		}

		img {
			user-select: none;
			pointer-events: none;

			height: 100%;

			grid-area: image;
		}
	}
}

mat-form-field {
	width: 100%;
}

::ng-deep .mat-form-field-flex {
	min-height: 54.75px;
}

::ng-deep .mat-chip-list-wrapper {
	overflow-x: auto;
}
